Public Member Functions

# wxLogStderr Class Reference
[Logging]

`#include <wx/log.h>`

Inheritance diagram for wxLogStderr:
[legend]

## Detailed Description

This class can be used to redirect the log messages to a C file stream (not to be confused with C++ streams).

It is the default log target for the non-GUI wxWidgets applications which send all the output to `stderr`.

##

Library: wxBase
Category: Logging

See also:
  wxLogStream

## Public Member Functions
| wxLogStderr (FILE *fp=NULL)
| Constructs a log target which sends all the log messages to the given `FILE`.

List of all members.

## Constructor & Destructor Documentation

wxLogStderr::wxLogStderr | ( | FILE * | fp = `NULL` | ) |

Constructs a log target which sends all the log messages to the given `FILE`.

If it is NULL, the messages are sent to `stderr`.

|  | [ top ]